namespace Darkmatter.Libs.FSM
{
    public abstract class State<T> : IState
    {
        protected readonly T runner;
        protected State(T runner)
        {
            this.runner = runner;
        }

        public virtual void Enter() { }
        public virtual void Tick() { }
        public virtual void Exit() { }
    }
}
